extends Location

@export var CowSpawn := Vector2(203,260)

func initialize_entry_locations():
	entryLocations.append(CowSpawn)

func initialize_camera_limits():
	outside = false
	#print(get_children())
	#var rect = $ArcadeLayout.texture.get_size()
	# Tried to make it dynamically init dimensions but the layout doesnt exist yet when this is called
	
	leftCameraLimit = -1320/2
	rightCameraLimit = 1320/2
	upperCameraLimit = -620/2
	lowerCameraLimit = 620/2
